org.eclnt.workplace

## Class WorkplaceFoldableFunctionTrees

- java.lang.Object
- - org.eclnt.jsfserver.pagebean.PageBean
  - - org.eclnt.jsfserver.managedbean.DefaultDispatchedPageBean
    - - org.eclnt.workplace.WorkpageDispatchedPageBean
      - - org.eclnt.workplace.WorkplaceFoldableFunctionTrees

- All Implemented Interfaces:
    java.io.Serializable, IPageBean, IDynamicContentBindingObject

      public class WorkplaceFoldableFunctionTrees
      extends WorkpageDispatchedPageBean
      implements java.io.Serializable

  Page bean that renders a function tree in the following way:
  1. the first level functions are rendered as buttons
  2. the second level functions are rendered as trees
  Each button is associated to one tree and opens/closes the tree. Multiple trees can be opened at the same time.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `WorkplaceFoldableFunctionTrees.Area`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkplaceFoldableFunctionTrees(IWorkpageDispatcher workpageDispatcher)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Trigger` | `getAnimationTrigger()`
    `java.util.List<WorkplaceFoldableFunctionTrees.Area>` | `getAreas()`
    `ROWDYNAMICCONTENTBinding` | `getDynContent()`
    `java.lang.String` | `getPageName()` Name of page that is managed by the bean.
    `java.lang.String` | `getRootExpressionUsedInPage()` Inside the page definition the bean is addressed via a certain root expression - e.g.
    `void` | `prepare(WorkplaceFunctionTreeInfoNode topNode)` Renders the function tree with the topNode that is passed as parameter.
    `void` | `prepareOpenArea(int index)` Opens up an area (area == button and corresponding tree).

    - ### Methods inherited from class org.eclnt.workplace.WorkpageDispatchedPageBean

      `getOwningDispatcher, getWorkpage, getWorkpageContainer, setDispatcher`

    - ### Methods inherited from class org.eclnt.jsfserver.pagebean.PageBean

      `buildContentReplaceString, closePopup, getActualRootExpression, getPopups, initializePageBean, isInitialized, onBeforeRendering, openModalPopup, openModelessPopup, pbx, readPageLayoutXML, setActualRootExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkplaceFoldableFunctionTrees

          public WorkplaceFoldableFunctionTrees(IWorkpageDispatcher workpageDispatcher)

  - ### Method Detail

    - #### getPageName

          public java.lang.String getPageName()

      Description copied from interface: `IPageBean`
      Name of page that is managed by the bean. This can either be a static return value that stays fix for the whole lifecycle of the bean, or it may also be a value that changed - in case there are several pages that are possible to be managed by the page bean.
      Specified by:
        `getPageName` in interface `IPageBean`
      Specified by:
        `getPageName` in class `PageBean`

    - #### getRootExpressionUsedInPage

          public java.lang.String getRootExpressionUsedInPage()

      Description copied from interface: `IPageBean`
      Inside the page definition the bean is addressed via a certain root expression - e.g. "#{d.XYZBean}". The page bean management requires this expression in order to execute certain expression replacements when loading the page at runtime.
      Specified by:
        `getRootExpressionUsedInPage` in interface `IPageBean`
      Specified by:
        `getRootExpressionUsedInPage` in class `PageBean`

    - #### prepare

          public void prepare(WorkplaceFunctionTreeInfoNode topNode)

      Renders the function tree with the topNode that is passed as parameter.

    - #### prepareOpenArea

          public void prepareOpenArea(int index)

      Opens up an area (area == button and corresponding tree). By default all areas are closed at the beginning. You may open one or several areas. - This method may be called after having passed the tree using method `prepare(WorkplaceFunctionTreeInfoNode)`,

    - #### getAreas

          public java.util.List<WorkplaceFoldableFunctionTrees.Area> getAreas()

    - #### getDynContent

          public ROWDYNAMICCONTENTBinding getDynContent()

    - #### getAnimationTrigger

          public Trigger getAnimationTrigger()

Copyright © CaptainCasa Gmbh. All Rights Reserved.